diff --git a/drupal7/sites/all/modules/date/date_repeat/date_repeat_calc.inc b/drupal7/sites/all/modules/date/date_repeat/date_repeat_calc.inc
index d840df62..5b1afe2a 100644
--- a/drupal7/sites/all/modules/date/date_repeat/date_repeat_calc.inc
+++ b/drupal7/sites/all/modules/date/date_repeat/date_repeat_calc.inc
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * Code to compute the dates that match an iCal RRULE.
@@ -53,11 +54,10 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
   // Create a date object for the start and end dates.
   $start_date = new DateObject($start, $timezone);
 
-  // Versions of PHP greater than PHP 5.3.5 require
-  // that we set an explicit time when using date_modify()
-  // or the time may not match the original value.
-  // Adding this modifier gives us the same results in both older
-  // and newer versions of PHP.
+  // Versions of PHP greater than PHP 5.3.5 require that we set an explicit
+  // time when using date_modify() or the time may not match the original value.
+  // Adding this modifier gives us the same results in both older and newer
+  // versions of PHP.
   $modify_time = ' ' . $start_date->format('g:ia');
 
   // If the rule has an UNTIL, see if that is earlier than the end date.
@@ -122,17 +122,16 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
   }
   $rrule = date_repeat_adjust_rrule($rrule, $start_date);
 
-  // The start date always goes into the results, whether or not it meets
-  // the rules. RFC 2445 includes examples where the start date DOES NOT
-  // meet the rules, but the expected results always include the start date.
+  // The start date always goes into the results, whether or not it meets the
+  // rules. RFC 2445 includes examples where the start date DOES NOT meet the
+  // rules, but the expected results always include the start date.
   $days = array(date_format($start_date, DATE_FORMAT_DATETIME));
 
   // BYMONTHDAY will look for specific days of the month in one or more months.
   // This process is only valid when frequency is monthly or yearly.
-
   if (!empty($rrule['BYMONTHDAY'])) {
     $finished = FALSE;
-    $current_day = clone($start_date);
+    $current_day = clone $start_date;
     $direction_days = array();
     // Deconstruct the day in case it has a negative modifier.
     foreach ($rrule['BYMONTHDAY'] as $day) {
@@ -187,13 +186,12 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
     }
   }
 
-  // This is the simple fallback case, not looking for any BYDAY,
-  // just repeating the start date. Because of imputed BYDAY above, this
-  // will only test TRUE for a DAILY or less frequency (like HOURLY).
-
+  // This is the simple fallback case, not looking for any BYDAY, just
+  // repeating the start date. Because of imputed BYDAY above, this will only
+  // test TRUE for a DAILY or less frequency (like HOURLY).
   elseif (empty($rrule['BYDAY'])) {
     // $current_day will keep track of where we are in the calculation.
-    $current_day = clone($start_date);
+    $current_day = clone $start_date;
     $finished = FALSE;
     $months = !empty($rrule['BYMONTH']) ? $rrule['BYMONTH'] : array();
     while (!$finished) {
@@ -204,17 +202,15 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
   }
 
   else {
-
-    // More complex searches for day names and criteria
-    // like '-1SU' or '2TU,2TH', require that we interate through
-    // the whole time period checking each BYDAY.
-
-    // Create helper array to pull day names out of iCal day strings.
+    // More complex searches for day names and criteria like '-1SU' or
+    // '2TU,2TH', require that we interate through the whole time period
+    // checking each BYDAY. Create helper array to pull day names out of iCal
+    // day strings.
     $day_names = date_repeat_dow_day_options(FALSE);
     $days_of_week = array_keys($day_names);
 
-    // Parse out information about the BYDAYs and separate them
-    // depending on whether they have directional parameters like -1SU or 2TH.
+    // Parse out information about the BYDAYs and separate them depending on
+    // whether they have directional parameters like -1SU or 2TH.
     $month_days = array();
     $week_days = array();
 
@@ -223,11 +219,11 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
     $week_start_rule = !empty($rrule['WKST']) ? trim($rrule['WKST']) : 'MO';
     $week_start_day = $day_names[$week_start_rule];
 
-    // Make sure the week days array is sorted into week order,
-    // we use the $ordered_keys to get the right values into the key
-    // and force the array to that order. Needed later when we
-    // iterate through each week looking for days so we don't
-    // jump to the next week when we hit a day out of order.
+    // Make sure the week days array is sorted into week order, we use the
+    // $ordered_keys to get the right values into the key and force the array
+    // to that order. Needed later when we iterate through each week looking
+    // for days so we don't jump to the next week when we hit a day out of
+    // order.
     $ordered = date_repeat_days_ordered($week_start_rule);
     $ordered_keys = array_flip($ordered);
 
@@ -236,8 +232,8 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
       foreach ($rrule['BYMONTH'] as $month) {
         foreach ($rrule['BYDAY'] as $day) {
           preg_match("@(-)?([0-9]+)?([SU|MO|TU|WE|TH|FR|SA]{2})@", trim($day), $regs);
-          // Convert parameters into full day name, count, and direction.
-          // Add leading zero to first 9 months.
+          // Convert parameters into full day name, count, and direction. Add
+          // leading zero to first 9 months.
           if (!empty($regs[2])) {
             $direction_days[] = array(
               'day' => $day_names[$regs[3]],
@@ -271,11 +267,11 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
     }
     ksort($week_days);
 
-    // BYDAYs with parameters like -1SU (last Sun) or 2TH (second Thur)
-    // need to be processed one month or year at a time.
+    // BYDAYs with parameters like -1SU (last Sun) or 2TH (second Thur) need to
+    // be processed one month or year at a time.
     if (!empty($direction_days) && in_array($rrule['FREQ'], array('MONTHLY', 'YEARLY'))) {
       $finished = FALSE;
-      $current_day = clone($start_date);
+      $current_day = clone $start_date;
       while (!$finished) {
         foreach ($direction_days as $day) {
           // Find the BYDAY date in the current month.
@@ -288,9 +284,9 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
           date_repeat_add_dates($days, $current_day, $start_date, $end_date, $exceptions, $rrule);
         }
         $finished = date_repeat_is_finished($current_day, $days, $count, $end_date);
-        // Reset to beginning of period before jumping to next period.
-        // Needed especially when working with values like 'last Saturday'
-        // to be sure we don't skip months like February.
+        // Reset to beginning of period before jumping to next period. Needed
+        // especially when working with values like 'last Saturday' to be sure
+        // we don't skip months like February.
         $year = date_format($current_day, 'Y');
         $month = date_format($current_day, 'n');
         if ($rrule['FREQ'] == 'MONTHLY') {
@@ -304,24 +300,22 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
       }
     }
 
-    // For BYDAYs without parameters,like TU,TH (every Tues and Thur),
-    // we look for every one of those days during the frequency period.
-    // Iterate through periods of a WEEK, MONTH, or YEAR, checking for
-    // the days of the week that match our criteria for each week in the
-    // period, then jumping ahead to the next week, month, or year,
-    // an INTERVAL at a time.
-
+    // For BYDAYs without parameters,like TU,TH (every Tues and Thur), we look
+    // for every one of those days during the frequency period. Iterate through
+    // periods of a WEEK, MONTH, or YEAR, checking for the days of the week
+    // that match our criteria for each week in the period, then jumping ahead
+    // to the next week, month, or year, an INTERVAL at a time.
     if (!empty($week_days) &&
       in_array($rrule['FREQ'], array('MONTHLY', 'WEEKLY', 'YEARLY'))) {
       $finished = FALSE;
-      $current_day = clone($start_date);
+      $current_day = clone $start_date;
       $format = $rrule['FREQ'] == 'YEARLY' ? 'Y' : 'n';
       $current_period = date_format($current_day, $format);
 
       // Back up to the beginning of the week in case we are somewhere in the
-      // middle of the possible week days, needed so we don't prematurely
-      // jump to the next week. The date_repeat_add_dates() function will
-      // keep dates outside the range from getting added.
+      // middle of the possible week days, needed so we don't prematurely jump
+      // to the next week. The date_repeat_add_dates() function will keep dates
+      // outside the range from getting added.
       if (date_format($current_day, 'l') != $day_names[$day]) {
         date_modify($current_day, '-1 ' . $week_start_day . $modify_time);
       }
@@ -330,15 +324,13 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
         while (!$period_finished) {
           $moved = FALSE;
           foreach ($week_days as $delta => $day) {
-            // Find the next occurence of each day in this week, only add it
-            // if we are still in the current month or year.
-            // The date_repeat_add_dates function is insufficient
-            // to test whether to include this date
-            // if we are using a rule like 'every other month', so we must
-            // explicitly test it here.
-
-            // If we're already on the right day, don't jump or we
-            // will prematurely move into the next week.
+            // Find the next occurence of each day in this week, only add it if
+            // we are still in the current month or year. The
+            // date_repeat_add_dates() function is insufficient to test whether
+            // to include this date if we are using a rule like 'every other
+            // month', so we must explicitly test it here. If we're already on
+            // the right day, don't jump or we will prematurely move into the
+            // next week.
             if (date_format($current_day, 'l') != $day) {
               date_modify($current_day, '+1 ' . $day . $modify_time);
               $moved = TRUE;
@@ -349,15 +341,15 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
           }
           $finished = date_repeat_is_finished($current_day, $days, $count, $end_date);
 
-          // Make sure we don't get stuck in endless loop if the current
-          // day never got changed above.
+          // Make sure we don't get stuck in endless loop if the current day
+          // never got changed above.
           if (!$moved) {
             date_modify($current_day, '+1 day' . $modify_time);
           }
 
-          // If this is a WEEKLY frequency, stop after each week,
-          // otherwise, stop when we've moved outside the current period.
-          // Jump to the end of the week, then test the period.
+          // If this is a WEEKLY frequency, stop after each week, otherwise,
+          // stop when we've moved outside the current period. Jump to the end
+          // of the week, then test the period.
           if ($finished || $rrule['FREQ'] == 'WEEKLY') {
             $period_finished = TRUE;
           }
@@ -370,11 +362,9 @@ function _date_repeat_calc($rrule, $start, $end, $exceptions, $timezone, $additi
           continue;
         }
 
-        // We'll be at the end of a week, month, or year when
-        // we get to this point in the code.
-
-        // Go back to the beginning of this period before we jump, to
-        // ensure we jump to the first day of the next period.
+        // We'll be at the end of a week, month, or year when we get to this
+        // point in the code. Go back to the beginning of this period before we
+        // jump, to ensure we jump to the first day of the next period.
         switch ($rrule['FREQ']) {
           case 'WEEKLY':
             date_modify($current_day, '+1 ' . $week_start_day . $modify_time);
@@ -420,7 +410,6 @@ function date_repeat_adjust_rrule($rrule, $start_date) {
 
   // RFC 2445 says if no day or monthday is specified when creating repeats for
   // weeks, months, or years, impute the value from the start date.
-
   if (empty($rrule['BYDAY']) && $rrule['FREQ'] == 'WEEKLY') {
     $rrule['BYDAY'] = array(date_repeat_dow2day(date_format($start_date, 'w')));
   }
@@ -433,10 +422,9 @@ function date_repeat_adjust_rrule($rrule, $start_date) {
       $rrule['BYMONTH'] = array(date_format($start_date, 'n'));
     }
   }
-  // If we are processing rules for period other than YEARLY or MONTHLY
-  // and have BYDAYS like 2SU or -1SA, simplify them to SU or SA since the
-  // position rules make no sense in other periods and just add complexity.
-
+  // If we are processing rules for period other than YEARLY or MONTHLY and have
+  // BYDAYS like 2SU or -1SA, simplify them to SU or SA since the position
+  // rules make no sense in other periods and just add complexity.
   elseif (!empty($rrule['BYDAY']) && !in_array($rrule['FREQ'], array('MONTHLY', 'YEARLY'))) {
     foreach ($rrule['BYDAY'] as $delta => $by_day) {
       $rrule['BYDAY'][$delta] = substr($by_day, -2);
@@ -449,9 +437,9 @@ function date_repeat_adjust_rrule($rrule, $start_date) {
 /**
  * Helper function to add found date to the $dates array.
  *
- * Check that the date to be added is between the start and end date
- * and that it is not in the $exceptions, nor already in the $days array,
- * and that it meets other criteria in the RRULE.
+ * Check that the date to be added is between the start and end date and that it
+ * is not in the $exceptions, nor already in the $days array, and that it meets
+ * other criteria in the RRULE.
  */
 function date_repeat_add_dates(&$days, $current_day, $start_date, $end_date, $exceptions, $rrule) {
   if (isset($rrule['COUNT']) && count($days) >= $rrule['COUNT']) {
@@ -525,20 +513,18 @@ function date_repeat_is_finished($current_day, $days, $count, $end_date) {
  * Set a date object to a specific day of the month.
  *
  * Example,
- *   date_set_month_day($date, 'Sunday', 2, '-')
- *   will reset $date to the second to last Sunday in the month.
- *   If $day is empty, will set to the number of days from the
- *   beginning or end of the month.
+ *   date_set_month_day($date, 'Sunday', 2, '-') will reset $date to the second
+ *   to last Sunday in the month. If $day is empty, will set to the number of
+ *   days from the beginning or end of the month.
  */
 function date_repeat_set_month_day($date_in, $day, $count = 1, $direction = '+', $timezone = 'UTC', $modify_time = '') {
   if (is_object($date_in)) {
     $current_month = date_format($date_in, 'n');
 
-    // Reset to the start of the month.
-    // We should be able to do this with date_date_set(), but
-    // for some reason the date occasionally gets confused if run
-    // through this function multiple times. It seems to work
-    // reliably if we create a new object each time.
+    // Reset to the start of the month. We should be able to do this with
+    // date_date_set(), but for some reason the date occasionally gets confused
+    // if run through this function multiple times. It seems to work reliably
+    // if we create a new object each time.
     $datetime = date_format($date_in, DATE_FORMAT_DATETIME);
     $datetime = substr_replace($datetime, '01', 8, 2);
     $date = new DateObject($datetime, $timezone);
@@ -547,8 +533,8 @@ function date_repeat_set_month_day($date_in, $day, $count = 1, $direction = '+',
       date_modify($date, '+1 month' . $modify_time);
     }
     else {
-      // For positive search, back up one day to get outside the
-      // current month, so we can catch the first of the month.
+      // For positive search, back up one day to get outside the current month,
+      // so we can catch the first of the month.
       date_modify($date, '-1 day' . $modify_time);
     }
 
@@ -556,8 +542,8 @@ function date_repeat_set_month_day($date_in, $day, $count = 1, $direction = '+',
       date_modify($date, $direction . $count . ' days' . $modify_time);
     }
     else {
-      // Use the English text for order, like First Sunday
-      // instead of +1 Sunday to overcome PHP5 bug, (see #369020).
+      // Use the English text for order, like First Sunday instead of +1 Sunday
+      // to overcome PHP5 bug, (see #369020).
       $order = date_order();
       $step = $count <= 5 ? $order[$direction . $count] : $count;
       date_modify($date, $step . ' ' . $day . $modify_time);
@@ -575,17 +561,15 @@ function date_repeat_set_month_day($date_in, $day, $count = 1, $direction = '+',
  * Set a date object to a specific day of the year.
  *
  * Example,
- *   date_set_year_day($date, 'Sunday', 2, '-')
- *   will reset $date to the second to last Sunday in the year.
- *   If $day is empty, will set to the number of days from the
- *   beginning or end of the year.
+ *   date_set_year_day($date, 'Sunday', 2, '-') will reset $date to the second
+ *   to last Sunday in the year. If $day is empty, will set to the number of
+ *   days from the beginning or end of the year.
  */
 function date_repeat_set_year_day($date_in, $month, $day, $count = 1, $direction = '+', $timezone = 'UTC', $modify_time = '') {
   if (is_object($date_in)) {
     $current_year = date_format($date_in, 'Y');
 
-    // Reset to the start of the month.
-    // See note above.
+    // Reset to the start of the month. See note above.
     $datetime = date_format($date_in, DATE_FORMAT_DATETIME);
     $month_key = isset($month) ? $month : '01';
     $datetime = substr_replace($datetime, $month_key . '-01', 5, 5);
@@ -597,8 +581,8 @@ function date_repeat_set_year_day($date_in, $month, $day, $count = 1, $direction
         $modifier = '+1 month';
       }
       else {
-        // For positive search, back up one day to get outside the
-        // current month, so we can catch the first of the month.
+        // For positive search, back up one day to get outside the current
+        // month, so we can catch the first of the month.
         $modifier = '-1 day';
       }
     }
@@ -608,8 +592,8 @@ function date_repeat_set_year_day($date_in, $month, $day, $count = 1, $direction
         $modifier = '+1 year';
       }
       else {
-        // For positive search, back up one day to get outside the
-        // current year, so we can catch the first of the year.
+        // For positive search, back up one day to get outside the current
+        // year, so we can catch the first of the year.
         $modifier = '-1 day';
       }
     }
@@ -620,8 +604,8 @@ function date_repeat_set_year_day($date_in, $month, $day, $count = 1, $direction
       date_modify($date, $direction . $count . ' days' . $modify_time);
     }
     else {
-      // Use the English text for order, like First Sunday
-      // instead of +1 Sunday to overcome PHP5 bug, (see #369020).
+      // Use the English text for order, like First Sunday instead of +1 Sunday
+      // to overcome PHP5 bug, (see #369020).
       $order = date_order();
       $step = $count <= 5 ? $order[$direction . $count] : $count;
       date_modify($date, $step . ' ' . $day . $modify_time);
diff --git a/drupal7/sites/all/modules/date/date_repeat/date_repeat_form.inc b/drupal7/sites/all/modules/date/date_repeat/date_repeat_form.inc
index 33525956..421200da 100644
--- a/drupal7/sites/all/modules/date/date_repeat/date_repeat_form.inc
+++ b/drupal7/sites/all/modules/date/date_repeat/date_repeat_form.inc
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * Code to add a date repeat selection form to a date field and create
@@ -35,13 +36,10 @@
  * Generate the repeat setting form.
  */
 function _date_repeat_rrule_process($element, &$form_state, $form) {
-
-  // If the RRULE field is not visible to the user,
-  // needs no processing or validation.
-  // The Date field module is not adding this element to forms
-  // if the field is hidden,
-  // this test is just in case some other module attempts to do so.
-
+  // If the RRULE field is not visible to the user, needs no processing or
+  // validation. The Date field module is not adding this element to forms if
+  // the field is hidden, this test is just in case some other module attempts
+  // to do so.
   if (date_hidden_element($element)) {
     return $element;
   }
@@ -58,8 +56,8 @@ function _date_repeat_rrule_process($element, &$form_state, $form) {
     $rrule = $element['#default_value'];
   }
 
-  // Empty the original string value of the RRULE so we can create
-  // an array of values for the form from the RRULE's contents.
+  // Empty the original string value of the RRULE so we can create an array of
+  // values for the form from the RRULE's contents.
   $element['#value'] = '';
 
   $parts = date_repeat_split_rrule($rrule);
@@ -554,8 +552,8 @@ function _date_repeat_rrule_process($element, &$form_state, $form) {
   $parents = $element['#array_parents'];
   $instance = implode('-', $parents);
 
-  // Make sure this will work right either in the normal
-  // form or in an ajax callback from the 'Add more' button.
+  // Make sure this will work right either in the normal form or in an AJAX
+  // callback from the 'Add more' button.
   if (empty($form_state['num_exceptions'][$instance])) {
     $form_state['num_exceptions'][$instance] = count($exceptions);
   }
@@ -875,9 +873,6 @@ function date_repeat_merge($form_values, $element) {
           }
         }
         break;
-
-      default:
-        break;
     }
   }
 
@@ -967,7 +962,6 @@ function date_repeat_merge($form_values, $element) {
  * Build a RRULE out of the form values.
  */
 function date_repeat_rrule_validate($element, &$form_state) {
-
   if (date_hidden_element($element)) {
     return;
   }
@@ -980,9 +974,9 @@ function date_repeat_rrule_validate($element, &$form_state) {
     return;
   }
 
-  // Clean the buttons off of the form. Needed to avoid errors when
-  // the date is used on a user object, which then passes the form
-  // through form_state_values_clean().
+  // Clean the buttons off of the form. Needed to avoid errors when the date is
+  // used on a user object, which then passes the form through
+  // form_state_values_clean().
   foreach ($form_state['buttons'] as $delta => $item) {
     if (!empty($item['#ajax']['callback']) && in_array($item['#ajax']['callback'], array('date_repeat_add_exception_callback', 'date_repeat_add_addition_callback'))) {
       unset($form_state['buttons'][$delta]);
@@ -1070,8 +1064,8 @@ function date_repeat_filter_non_zero_value($value) {
 /**
  * Helper function for transforming the return value of checkbox(es) element.
  *
- * Can be used for transforming the returned value of checkbox(es) element
- * to the format of returned value of multiple select element.
+ * Can be used for transforming the returned value of checkbox(es) element to
+ * the format of returned value of multiple select element.
  */
 function date_repeat_transform_checkbox_values_to_select_values($values) {
   return array_filter($values, 'date_repeat_filter_non_zero_value');
